/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { DomainChartDescription } from "./DomainChartDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export class XYChartDescription extends DomainChartDescription {
    constructor() {
        super();
        this.fb = null;
        this.fr = null;
        this.dh = 0;
        this.dj = 0;
        this.di = 0;
        this.dg = 0;
        this.dz = 0;
        this.d1 = 0;
        this.d0 = 0;
        this.dy = 0;
        this.fe = null;
        this.fv = null;
        this.dt = 0;
        this.ea = 0;
        this.ds = 0;
        this.d9 = 0;
        this.dv = 0;
        this.ec = 0;
        this.du = 0;
        this.eb = 0;
        this.dr = 0;
        this.d8 = 0;
        this.fp = null;
        this.f6 = null;
        this.ff = null;
        this.fw = null;
        this.fq = null;
        this.f7 = null;
        this.fd = null;
        this.fu = null;
        this.fi = null;
        this.fz = null;
        this.dk = 0;
        this.d2 = 0;
        this.dl = 0;
        this.d3 = 0;
        this.fk = null;
        this.f1 = null;
        this.fl = null;
        this.f2 = null;
        this.dm = 0;
        this.d4 = 0;
        this.dn = 0;
        this.d5 = 0;
        this.fm = null;
        this.f3 = null;
        this.dp = 0;
        this.d6 = 0;
        this.fn = null;
        this.f4 = null;
        this.fj = null;
        this.f0 = null;
        this.df = 0;
        this.dx = 0;
        this.de = 0;
        this.dw = 0;
        this.dq = 0;
        this.d7 = 0;
        this.da = false;
        this.db = false;
        this.fo = null;
        this.f5 = null;
        this.fc = null;
        this.fs = null;
        this.fg = null;
        this.fx = null;
        this.fh = null;
        this.fy = null;
        this.ft = null;
    }
    get_type() {
        return "XYChart";
    }
    get xAxisFormatLabelRef() {
        return this.fb;
    }
    set xAxisFormatLabelRef(a) {
        this.fb = a;
        this.e("XAxisFormatLabelRef");
    }
    get yAxisFormatLabelRef() {
        return this.fr;
    }
    set yAxisFormatLabelRef(a) {
        this.fr = a;
        this.e("YAxisFormatLabelRef");
    }
    get xAxisLabelLeftMargin() {
        return this.dh;
    }
    set xAxisLabelLeftMargin(a) {
        this.dh = a;
        this.e("XAxisLabelLeftMargin");
    }
    get xAxisLabelTopMargin() {
        return this.dj;
    }
    set xAxisLabelTopMargin(a) {
        this.dj = a;
        this.e("XAxisLabelTopMargin");
    }
    get xAxisLabelRightMargin() {
        return this.di;
    }
    set xAxisLabelRightMargin(a) {
        this.di = a;
        this.e("XAxisLabelRightMargin");
    }
    get xAxisLabelBottomMargin() {
        return this.dg;
    }
    set xAxisLabelBottomMargin(a) {
        this.dg = a;
        this.e("XAxisLabelBottomMargin");
    }
    get yAxisLabelLeftMargin() {
        return this.dz;
    }
    set yAxisLabelLeftMargin(a) {
        this.dz = a;
        this.e("YAxisLabelLeftMargin");
    }
    get yAxisLabelTopMargin() {
        return this.d1;
    }
    set yAxisLabelTopMargin(a) {
        this.d1 = a;
        this.e("YAxisLabelTopMargin");
    }
    get yAxisLabelRightMargin() {
        return this.d0;
    }
    set yAxisLabelRightMargin(a) {
        this.d0 = a;
        this.e("YAxisLabelRightMargin");
    }
    get yAxisLabelBottomMargin() {
        return this.dy;
    }
    set yAxisLabelBottomMargin(a) {
        this.dy = a;
        this.e("YAxisLabelBottomMargin");
    }
    get xAxisLabelTextColor() {
        return this.fe;
    }
    set xAxisLabelTextColor(a) {
        this.fe = a;
        this.e("XAxisLabelTextColor");
    }
    get yAxisLabelTextColor() {
        return this.fv;
    }
    set yAxisLabelTextColor(a) {
        this.fv = a;
        this.e("YAxisLabelTextColor");
    }
    get xAxisTitleMargin() {
        return this.dt;
    }
    set xAxisTitleMargin(a) {
        this.dt = a;
        this.e("XAxisTitleMargin");
    }
    get yAxisTitleMargin() {
        return this.ea;
    }
    set yAxisTitleMargin(a) {
        this.ea = a;
        this.e("YAxisTitleMargin");
    }
    get xAxisTitleLeftMargin() {
        return this.ds;
    }
    set xAxisTitleLeftMargin(a) {
        this.ds = a;
        this.e("XAxisTitleLeftMargin");
    }
    get yAxisTitleLeftMargin() {
        return this.d9;
    }
    set yAxisTitleLeftMargin(a) {
        this.d9 = a;
        this.e("YAxisTitleLeftMargin");
    }
    get xAxisTitleTopMargin() {
        return this.dv;
    }
    set xAxisTitleTopMargin(a) {
        this.dv = a;
        this.e("XAxisTitleTopMargin");
    }
    get yAxisTitleTopMargin() {
        return this.ec;
    }
    set yAxisTitleTopMargin(a) {
        this.ec = a;
        this.e("YAxisTitleTopMargin");
    }
    get xAxisTitleRightMargin() {
        return this.du;
    }
    set xAxisTitleRightMargin(a) {
        this.du = a;
        this.e("XAxisTitleRightMargin");
    }
    get yAxisTitleRightMargin() {
        return this.eb;
    }
    set yAxisTitleRightMargin(a) {
        this.eb = a;
        this.e("YAxisTitleRightMargin");
    }
    get xAxisTitleBottomMargin() {
        return this.dr;
    }
    set xAxisTitleBottomMargin(a) {
        this.dr = a;
        this.e("XAxisTitleBottomMargin");
    }
    get yAxisTitleBottomMargin() {
        return this.d8;
    }
    set yAxisTitleBottomMargin(a) {
        this.d8 = a;
        this.e("YAxisTitleBottomMargin");
    }
    get xAxisTitleTextColor() {
        return this.fp;
    }
    set xAxisTitleTextColor(a) {
        this.fp = a;
        this.e("XAxisTitleTextColor");
    }
    get yAxisTitleTextColor() {
        return this.f6;
    }
    set yAxisTitleTextColor(a) {
        this.f6 = a;
        this.e("YAxisTitleTextColor");
    }
    get xAxisLabelTextStyle() {
        return this.ff;
    }
    set xAxisLabelTextStyle(a) {
        this.ff = a;
        this.e("XAxisLabelTextStyle");
    }
    get yAxisLabelTextStyle() {
        return this.fw;
    }
    set yAxisLabelTextStyle(a) {
        this.fw = a;
        this.e("YAxisLabelTextStyle");
    }
    get xAxisTitleTextStyle() {
        return this.fq;
    }
    set xAxisTitleTextStyle(a) {
        this.fq = a;
        this.e("XAxisTitleTextStyle");
    }
    get yAxisTitleTextStyle() {
        return this.f7;
    }
    set yAxisTitleTextStyle(a) {
        this.f7 = a;
        this.e("YAxisTitleTextStyle");
    }
    get xAxisLabelRef() {
        return this.fd;
    }
    set xAxisLabelRef(a) {
        this.fd = a;
        this.e("XAxisLabelRef");
    }
    get yAxisLabelRef() {
        return this.fu;
    }
    set yAxisLabelRef(a) {
        this.fu = a;
        this.e("YAxisLabelRef");
    }
    get xAxisMajorStroke() {
        return this.fi;
    }
    set xAxisMajorStroke(a) {
        this.fi = a;
        this.e("XAxisMajorStroke");
    }
    get yAxisMajorStroke() {
        return this.fz;
    }
    set yAxisMajorStroke(a) {
        this.fz = a;
        this.e("YAxisMajorStroke");
    }
    get xAxisMajorStrokeThickness() {
        return this.dk;
    }
    set xAxisMajorStrokeThickness(a) {
        this.dk = a;
        this.e("XAxisMajorStrokeThickness");
    }
    get yAxisMajorStrokeThickness() {
        return this.d2;
    }
    set yAxisMajorStrokeThickness(a) {
        this.d2 = a;
        this.e("YAxisMajorStrokeThickness");
    }
    get xAxisMinorStrokeThickness() {
        return this.dl;
    }
    set xAxisMinorStrokeThickness(a) {
        this.dl = a;
        this.e("XAxisMinorStrokeThickness");
    }
    get yAxisMinorStrokeThickness() {
        return this.d3;
    }
    set yAxisMinorStrokeThickness(a) {
        this.d3 = a;
        this.e("YAxisMinorStrokeThickness");
    }
    get xAxisStrip() {
        return this.fk;
    }
    set xAxisStrip(a) {
        this.fk = a;
        this.e("XAxisStrip");
    }
    get yAxisStrip() {
        return this.f1;
    }
    set yAxisStrip(a) {
        this.f1 = a;
        this.e("YAxisStrip");
    }
    get xAxisStroke() {
        return this.fl;
    }
    set xAxisStroke(a) {
        this.fl = a;
        this.e("XAxisStroke");
    }
    get yAxisStroke() {
        return this.f2;
    }
    set yAxisStroke(a) {
        this.f2 = a;
        this.e("YAxisStroke");
    }
    get xAxisStrokeThickness() {
        return this.dm;
    }
    set xAxisStrokeThickness(a) {
        this.dm = a;
        this.e("XAxisStrokeThickness");
    }
    get yAxisStrokeThickness() {
        return this.d4;
    }
    set yAxisStrokeThickness(a) {
        this.d4 = a;
        this.e("YAxisStrokeThickness");
    }
    get xAxisTickLength() {
        return this.dn;
    }
    set xAxisTickLength(a) {
        this.dn = a;
        this.e("XAxisTickLength");
    }
    get yAxisTickLength() {
        return this.d5;
    }
    set yAxisTickLength(a) {
        this.d5 = a;
        this.e("YAxisTickLength");
    }
    get xAxisTickStroke() {
        return this.fm;
    }
    set xAxisTickStroke(a) {
        this.fm = a;
        this.e("XAxisTickStroke");
    }
    get yAxisTickStroke() {
        return this.f3;
    }
    set yAxisTickStroke(a) {
        this.f3 = a;
        this.e("YAxisTickStroke");
    }
    get xAxisTickStrokeThickness() {
        return this.dp;
    }
    set xAxisTickStrokeThickness(a) {
        this.dp = a;
        this.e("XAxisTickStrokeThickness");
    }
    get yAxisTickStrokeThickness() {
        return this.d6;
    }
    set yAxisTickStrokeThickness(a) {
        this.d6 = a;
        this.e("YAxisTickStrokeThickness");
    }
    get xAxisTitle() {
        return this.fn;
    }
    set xAxisTitle(a) {
        this.fn = a;
        this.e("XAxisTitle");
    }
    get yAxisTitle() {
        return this.f4;
    }
    set yAxisTitle(a) {
        this.f4 = a;
        this.e("YAxisTitle");
    }
    get xAxisMinorStroke() {
        return this.fj;
    }
    set xAxisMinorStroke(a) {
        this.fj = a;
        this.e("XAxisMinorStroke");
    }
    get yAxisMinorStroke() {
        return this.f0;
    }
    set yAxisMinorStroke(a) {
        this.f0 = a;
        this.e("YAxisMinorStroke");
    }
    get xAxisLabelAngle() {
        return this.df;
    }
    set xAxisLabelAngle(a) {
        this.df = a;
        this.e("XAxisLabelAngle");
    }
    get yAxisLabelAngle() {
        return this.dx;
    }
    set yAxisLabelAngle(a) {
        this.dx = a;
        this.e("YAxisLabelAngle");
    }
    get xAxisExtent() {
        return this.de;
    }
    set xAxisExtent(a) {
        this.de = a;
        this.e("XAxisExtent");
    }
    get yAxisExtent() {
        return this.dw;
    }
    set yAxisExtent(a) {
        this.dw = a;
        this.e("YAxisExtent");
    }
    get xAxisTitleAngle() {
        return this.dq;
    }
    set xAxisTitleAngle(a) {
        this.dq = a;
        this.e("XAxisTitleAngle");
    }
    get yAxisTitleAngle() {
        return this.d7;
    }
    set yAxisTitleAngle(a) {
        this.d7 = a;
        this.e("YAxisTitleAngle");
    }
    get xAxisInverted() {
        return this.da;
    }
    set xAxisInverted(a) {
        this.da = a;
        this.e("XAxisInverted");
    }
    get yAxisInverted() {
        return this.db;
    }
    set yAxisInverted(a) {
        this.db = a;
        this.e("YAxisInverted");
    }
    get xAxisTitleAlignment() {
        return this.fo;
    }
    set xAxisTitleAlignment(a) {
        this.fo = a;
        this.e("XAxisTitleAlignment");
    }
    get yAxisTitleAlignment() {
        return this.f5;
    }
    set yAxisTitleAlignment(a) {
        this.f5 = a;
        this.e("YAxisTitleAlignment");
    }
    get xAxisLabelHorizontalAlignment() {
        return this.fc;
    }
    set xAxisLabelHorizontalAlignment(a) {
        this.fc = a;
        this.e("XAxisLabelHorizontalAlignment");
    }
    get yAxisLabelHorizontalAlignment() {
        return this.fs;
    }
    set yAxisLabelHorizontalAlignment(a) {
        this.fs = a;
        this.e("YAxisLabelHorizontalAlignment");
    }
    get xAxisLabelVerticalAlignment() {
        return this.fg;
    }
    set xAxisLabelVerticalAlignment(a) {
        this.fg = a;
        this.e("XAxisLabelVerticalAlignment");
    }
    get yAxisLabelVerticalAlignment() {
        return this.fx;
    }
    set yAxisLabelVerticalAlignment(a) {
        this.fx = a;
        this.e("YAxisLabelVerticalAlignment");
    }
    get xAxisLabelVisibility() {
        return this.fh;
    }
    set xAxisLabelVisibility(a) {
        this.fh = a;
        this.e("XAxisLabelVisibility");
    }
    get yAxisLabelVisibility() {
        return this.fy;
    }
    set yAxisLabelVisibility(a) {
        this.fy = a;
        this.e("YAxisLabelVisibility");
    }
    get yAxisLabelLocation() {
        return this.ft;
    }
    set yAxisLabelLocation(a) {
        this.ft = a;
        this.e("YAxisLabelLocation");
    }
}
XYChartDescription.$t = markType(XYChartDescription, 'XYChartDescription', DomainChartDescription.$);
